<?php
/* ##########################
	Get product picture URL v1.1 for E-Trade Shop (OpenCart).
	Usage: http://site.com/get_pic_url.php?product_id=123&addon_photo=0
	
	Copyright (c) 2014 ElbuzGroup
	http://elbuz.com
   ##########################
*/

header('Content-Type: text/html; charset=utf-8');

ignore_user_abort(TRUE);

error_reporting(2047);

$ini_get_locale=setlocale(LC_ALL, array('ru_RU.CP1251', 'ru_RU.cp1251', 'ru_RU.UTF8', 'ru_RU.utf8', 'ru_ru.CP1251', 'ru_ru.cp1251', 'ru_ru.UTF8', 'ru_ru.utf8', 'ru_RU', 'ru_ru', 'Russian', 'ru_UA'));

//  
$pid=0;
$addon_photo=0;
if (isset($_GET['product_id'])==true) $pid=intval($_GET['product_id']);
if (isset($_GET['addon_photo'])==true) $addon_photo=intval($_GET['addon_photo']);

if ($pid==0) {
	echo '';
	exit;
}

// Configuration
if (file_exists($_SERVER['DOCUMENT_ROOT'].'/config.php')) {
	require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
} else {
	echo 'Configuration file not found!';
	exit;
}

require_once(DIR_SYSTEM . 'startup.php');

// Registry
$registry = new Registry();

// Loader
$loader = new Loader($registry);
$registry->set('load', $loader);

// Config
$config = new Config();
$registry->set('config', $config);

// Database 
$db = new DB(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
$registry->set('db', $db);

//   
if ($addon_photo==1) {
	$parameters_query = $db->query("SELECT image FROM ".DB_PREFIX."product_image WHERE product_id=".$pid." ORDER BY sort_order");
} else {
	$parameters_query = $db->query("SELECT image FROM ".DB_PREFIX."product WHERE product_id=".$pid." ");
}

if ($parameters_query->num_rows) {
	if (!empty($parameters_query->row['image'])) {
		header("Content-type: image/jpg");
		echo file_get_contents(DIR_IMAGE.$parameters_query->row['image']);
	} else {
		echo '';
	}
}

?>